# lookupAccountTransactions

GET

/v2/accounts/{account-id}/transactions

Lookup account transactions. Transactions are returned newest to oldest.

## Parameters

### Path Parameters

**account-id**  
required  
string  
Account string

### Query Parameters

**limit**  
integer  
Maximum number of results to return. There could be additional pages even if the limit is not reached.

**next**  
string  
The next page of results. Use the next token provided by the previous results.

**note-prefix**  
string  
Specifies a prefix which must be contained in the note field.

**tx-type**  
string  
Allowed values:  pay  keyreg  acfg  axfer  afrz  appl  stpf  hb

**sig-type**  
string  
Allowed values:  sig  msig  lsig

SigType filters just results using the specified type of signature:

- sig - Standard
- msig - MultiSig
- lsig - LogicSig

**txid**  
string  
Lookup the specific transaction by ID.

**round**  
integer  
Include results for the specified round.

**min-round**  
integer  
Include results at or after the specified min-round.

**max-round**  
integer  
Include results at or before the specified max-round.

**asset-id**  
integer  
Asset ID

**before-time**  
string format: date-time  
Include results before the given time. Must be an RFC 3339 formatted string.

**after-time**  
string format: date-time  
Include results after the given time. Must be an RFC 3339 formatted string.

**currency-greater-than**  
integer  
Results should have an amount greater than this value. MicroAlgos are the default currency unless an asset-id is provided, in which case the asset will be used.

**currency-less-than**  
integer  
Results should have an amount less than this value. MicroAlgos are the default currency unless an asset-id is provided, in which case the asset will be used.

**rekey-to**  
boolean  
Include results which include the rekey-to field.

## Responses

### 200

(empty)

Select media type application/json

object

**current-round**  
required  
Round at which the results were computed.

integer

**next-token**  
Used for pagination, when making another request provide this token with the next parameter.

string

**transactions**  
required  
Array<object>

Contains all fields common to all transactions and serves as an envelope to all transactions type. Represents both regular and inner transactions.

Definition:

data/transactions/signedtxn.go : SignedTxn

data/transactions/transaction.go : Transaction

object

**application-transaction**  
Fields for application transactions.

Definition:

data/transactions/application.go : ApplicationCallTxnFields

object

**access**  
Array<object>

Access unifies `accounts`, `foreign-apps`, `foreign-assets`, and `box-references` under a single list. If access is non-empty, these lists must be empty. If access is empty, those lists may be non-empty.

**address**  
string

**application-id**  
integer

**asset-id**  
integer

**box**  
object

**app**  
integer

**name**  
string format: byte  
/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

**holding**  
object

**address**  
string

**asset**  
integer

**local**  
object

**address**  
string

**app**  
integer

**accounts**  
Array<string>

**application-args**  
Array<string>

**application-id**  
integer

**approval-program**  
string format: byte  
/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

**box-references**  
Array<object>

**app**  
integer

**name**  
string format: byte  
/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

**clear-state-program**  
string format: byte  
/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

**extra-program-pages**  
integer

**foreign-apps**  
Array<integer>

**foreign-assets**  
Array<integer>

**global-state-schema**  
object

**num-byte-slice**  
integer

**num-uint**  
integer

**local-state-schema**  
object

**num-byte-slice**  
integer

**num-uint**  
integer

**on-completion**  
string

Valid types:

- noop
- optin
- closeout
- clear
- update
- update
- delete

**reject-version**  
integer

**asset-config-transaction**  
Fields for asset allocation, re-configuration, and destruction.

object

**asset-id**  
integer

**params**  
object

**clawback**  
string

**creator**  
string

**decimals**  
integer

**default-frozen**  
boolean

**freeze**  
string

**manager**  
string

**metadata-hash**  
string format: byte  
/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

**name**  
string

**name-b64**  
string format: byte  
/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

**reserve**  
string

**total**  
integer

**unit-name**  
string

**unit-name-b64**  
string format: byte  
/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

**url**  
string

**url-b64**  
string format: byte  
/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

**asset-freeze-transaction**  
Fields for an asset freeze transaction.

object

**address**  
string

**asset-id**  
integer

**new-freeze-status**  
boolean

**asset-transfer-transaction**  
Fields for an asset transfer transaction.

object

**amount**  
integer

**asset-id**  
integer

**close-amount**  
integer

**close-to**  
string

**receiver**  
string

**sender**  
string

**auth-addr**  
string

**close-rewards**  
integer

**closing-amount**  
integer

**confirmed-round**  
integer

**created-application-index**  
integer

**created-asset-index**  
integer

**fee**  
integer

**first-valid**  
integer

**genesis-hash**  
string format: byte  
/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

**genesis-id**  
string

**global-state-delta**  
Array<object>

**key**  
string

**value**  
object

**action**  
integer

**bytes**  
string

**uint**  
integer

**group**  
string format: byte  
/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

**heartbeat-transaction**  
Fields for a heartbeat transaction.

object

**hb-address**  
string

**hb-key-dilution**  
integer

**hb-proof**  
object

**hb-pk**  
string format: byte  
/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

**hb-pk1sig**  
string format: byte  
/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

**hb-pk2**  
string format: byte  
/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

**hb-pk2sig**  
string format: byte  
/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

**hb-sig**  
string format: byte  
/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

**hb-seed**  
string format: byte  
/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

**hb-vote-id**  
string format: byte  
/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

**id**  
string

**inner-txns**  
Array<object> recursive

**intra-round-offset**  
integer

**keyreg-transaction**  
Fields for a keyreg transaction.

object

**non-participation**  
boolean

**selection-participation-key**  
string format: byte  
/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

**state-proof-key**  
string format: byte  
/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

**vote-first-valid**  
integer

**vote-key-dilution**  
integer

**vote-last-valid**  
integer

**vote-participation-key**  
string format: byte  
/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

**last-valid**  
integer

**lease**  
string format: byte  
/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

**local-state-delta**  
Array<object>

object

**address**  
string

**delta**  
Array<object>

object

**key**  
string

**value**  
object

**action**  
integer

**bytes**  
string

**uint**  
integer

**logs**  
Array<string>

**note**  
string format: byte  
/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

**payment-transaction**  
Fields for a payment transaction.

object

**amount**  
integer

**close-amount**  
integer

**close-remainder-to**  
string

**receiver**  
string

**receiver-rewards**  
integer

**rekey-to**  
string

**round-time**  
integer

**sender**  
string

**sender-rewards**  
integer

**signature**  
object

**logicsig**  
object

**args**  
Array<string>

**logic**  
string format: byte

**logic-multisig-signature**  
object

**subsignature**  
Array<object>

object

**public-key**  
string format: byte

**signature**  
string format: byte

**threshold**  
integer

**version**  
integer

**multisig-signature**  
object

**subsignature**  
Array<object>

object

**public-key**  
string format: byte

**signature**  
string format: byte

**threshold**  
integer

**version**  
integer

**signature**  
string format: byte

**multisig**  
object

**subsignature**  
Array<object>

object

**public-key**  
string format: byte

**signature**  
string format: byte

**threshold**  
integer

**version**  
integer

**sig**  
string format: byte

**state-proof-transaction**  
object

**message**  
object

**block-headers-commitment**  
string format: byte

**first-attested-round**  
integer

**latest-attested-round**  
integer

**ln-proven-weight**  
integer

**voters-commitment**  
string format: byte

**state-proof**  
object

**part-proofs**  
object

**hash-factory**  
object

**hash-type**  
integer

**path**  
Array<string>

**tree-depth**  
integer

**positions-to-reveal**  
Array<integer>

**reveals**  
Array<object>

object

**participant**  
object

**verifier**  
object

**commitment**  
string format: byte

**key-lifetime**  
integer

**weight**  
integer

**position**  
integer

**sig-slot**  
object

**lower-sig-weight**  
integer

**signature**  
object

**falcon-signature**  
string format: byte

**merkle-array-index**  
integer

**proof**  
object

**hash-factory**  
object

**hash-type**  
integer

**path**  
Array<string>

**tree-depth**  
integer

**verifying-key**  
string format: byte

**salt-version**  
integer

**sig-commit**  
string format: byte

**sig-proofs**  
object

**hash-factory**  
object

**hash-type**  
integer

**path**  
Array<string>

**tree-depth**  
integer

**signed-weight**  
integer

**state-proof-type**  
integer

**tx-type**  
string

Valid types, and where their fields are stored:

- [pay] payment-transaction
- [keyreg] keyreg-transaction
- [acfg] asset-config-transaction
- [axfer] asset-transfer-transaction
- [afrz] asset-freeze-transaction
- [appl] application-transaction
- [stpf] state-proof-transaction
- [hb] heartbeat-transaction

### 400

Response for errors

Select media type application/json

object

**data**  
object

**message**  
required  
string

### 500

Response for errors

Select media type application/json

object

**data**  
object

**message**  
required  
string
